Bug 1120234 - Rebase freeradius to 3.0.3 or later minor bug fix release
Summary: Rebase freeradius to 3.0.3 or later minor bug fix release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: freeradius
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Nikolai Kondrashov
QA Contact: Eduard Benes
URL:
Whiteboard:
Depends On:
Blocks: 1082754 1115128 1115134 1126725 1135446 1146828
TreeView+ depends on / blocked
 
Reported: 2014-07-16 13:47 UTC by Dmitri Pal
Modified: 2019-03-06 00:57 UTC (History)
6 users (show)

Fixed In Version: freeradius-3.0.4-0.1.rc2.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 10:20:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0438 normal SHIPPED_LIVE freeradius bug fix and enhancement update 2015-03-05 14:50:53 UTC

Description Dmitri Pal 2014-07-16 13:47:35 UTC
Each upstream release addresses a big chunk of bugs so it might be beneficial to upgrade to it.

Comment 1 Nikolai Kondrashov 2014-07-16 14:10:29 UTC
ChangeLogs for all recent releases, including 3.0.2, 3.0.3 and the upcoming 3.0.4: https://raw.githubusercontent.com/FreeRADIUS/freeradius-server/v3.0.x/doc/ChangeLog

Fedora has 3.0.3 with bugfixes which will be included in 3.0.4.

The 3.0.4 release seems a good candidate.

Comment 11 Bogdan Costescu 2014-11-27 15:57:46 UTC
Any news on this? Some of the fixes in the newer minor versions are necessary in order to use FreeRADIUS to take part in eduroam; see f.e. http://freeradius.1045715.n5.nabble.com/ANN-Release-3-0-4-rc0-td5727449.html

The first post seems to suggest that the RPM packages should closely track upstream. Will this be the case?

Comment 12 Nikolai Kondrashov 2014-11-28 09:53:38 UTC
Hello Bogdan. We're working on including the 3.0.4 release into RHEL7.1.

Comment 21 Milan Kerslager 2015-02-12 07:23:27 UTC
Is there a package we could test? I'm setting it for eduroam and it seems that one of the already fixed bug hitting me:

eap : Identity does not match User-Name, setting from EAP Identity.

Comment 22 David Spurek 2015-02-12 07:29:24 UTC
Hi, updated package is not available now. It will be included in RHEL 7.1 update.

Comment 23 Milan Kerslager 2015-02-12 21:38:35 UTC
With the help of Alan DeKok from the list freeradius-users@lists.freeradius.org I found the bug in my configuration so I blamed freeradius instead of myself.

The problem was that the default configuration have enabled "auth_pool = my_auth_failover" for own realm with a failover-pool which points by default to the server itself through localhost connection. I decided to not touch it but I was wrong because the server is proxiing the query to itself because of this (which is overkill indeed).

After commenting out the mentioned option it works now. If one needs the pool, maybe "strip = no" could help in similar case.

Thank you for your help. Milan

Comment 26 errata-xmlrpc 2015-03-05 10:20:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0438.html


Note You need to log in before you can comment on or make changes to this bug.